=== debian/control ===
Source: dbmail
Section: mail
Priority: optional
Maintainer: Paul J Stevens <paul@nfg.nl>
Build-Depends: automake1.9, debhelper (>= 5.0.7), libncurses5-dev, libsieve2-dev (>= 2.1.12), libglib2.0-dev, libgmime-2.6-dev, libldap2-dev, libzdb-dev, libmhash-dev, libevent-dev, pkg-config, libtool, asciidoc, xmlto, po-debconf, libmysqlclient-dev | libmariadbclient-dev, libpq-dev, libsqlite3-dev, libssl-dev
Standards-Version: 3.9.1

Package: dbmail
Architecture: any
Pre-Depends: adduser
Depends: ${misc:Depends}, ${shlibs:Depends}, ucf (>= 0.30)
Provides: imap-server, pop3-server
Suggests: sqlite3
Description: email storage server that supports SQL
 DBMail is a collection of programs that allow the use of a relational
 database to store both email messages and user account data. It
 supports Sieve filtering, and the client protocols POP3, IMAP4, LMTP,
 and ManageSieve.
 .
 This package supports LDAP authentication. Database backends are 
 provided by libzdb which supports MySQL, PostgreSQL, SQLite and
 Oracle.
 .
